## liqbook 0.3.0

=== Makefile ===
PROG = liqbook
VERS		  = 0.1.0
ETCDIR		= $(DESTDIR)/etc
PREFIX		= $(DESTDIR)/usr

cc = gcc
LD = gcc
OPT_FLAGS = -O3
CFLAGS		= -I../../include
LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
RM			 = /bin/rm -f
OBJSCORE	 = liqbookreader.o liqbooklist.o liqdoc.o liqbookprogress.o
OBJS		  = $(OBJSCORE) $(PROG).o
.PHONY:	  clean distclean
all:		  $(PROG) $(PROG).so
$(PROG):	 $(OBJS)
			 $(LD) $(LDFLAGS) -o $(PROG) $(OBJS)
$(PROG).so : $(OBJS)
	 $(LD) -shared -lc $(CFLAGS) $(LDFLAGS) $(OBJS) -o $(PROG).so
.c.o:
			 $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
			 $(RM) *~ $(OBJS) $(PROG) $(PROG).so
.PHONY:	  clean

install:
			 install -d								 $(ETCDIR)/osso-backup
			 install -d								 $(ETCDIR)/osso-backup/applications
			 install -d								 $(PREFIX)/bin
			 install -d								 $(PREFIX)/share/applications/hildon
			 install -d								 $(PREFIX)/share/dbus-1/services
			 install -d								 $(PREFIX)/share/liqbase
			 install -d								 $(PREFIX)/share/liqbase/liqbook
			 install -d								 $(PREFIX)/share/liqbase/liqbook/media
			 
			 mkdir -p									$(PREFIX)/share/liqbase
			 mkdir -p									$(PREFIX)/share/liqbase/liqbook/media
			 
			 install -m 0755 liqbook			  $(PREFIX)/share/liqbase/liqbook
			 install -m 0755 liqbook.so		  $(PREFIX)/share/liqbase/liqbook
			 
			 cp -r media/*							 $(PREFIX)/share/liqbase/liqbook/media
			 
			 install -m 0755 base_fs/usr/bin/liqbook-run.sh										 $(PREFIX)/bin
			 install -m 0755 base_fs/usr/share/applications/hildon/liqbook.desktop		  $(PREFIX)/share/applications/hildon
			 install -m 0755 base_fs/usr/share/dbus-1/services/org.maemo.liqbook.service  $(PREFIX)/share/dbus-1/services
			 install -m 0755 base_fs/etc/osso-backup/applications/liqbook.conf				$(ETCDIR)/osso-backup/applications
			 mkdir -p																				$(PREFIX)
			 mkdir -p																				$(PREFIX)/share
			 mkdir -p																				$(PREFIX)/share/icons
			 mkdir -p																				$(PREFIX)/share/icons/hicolor
			 mkdir -p																				$(PREFIX)/share/icons/hicolor/scalable
			 mkdir -p																				$(PREFIX)/share/icons/hicolor/scalable/apps
			 install -m 0755  liqbook.png													$(PREFIX)/share/icons/hicolor/scalable/apps/liqbook.png

## liqbook 0.2.0

=== debian/changelog ===
liqbook (0.2.0) unstable; urgency=low

  * Grammar and spelling corrections by Tracy Brooke <tbrooke@gmail.com>

 -- Gary Birkett <liquid@gmail.com>  Mon, 07 Feb 2010 17:52:44 +0000

liqbook (0.1.0) unstable; urgency=low

  * The first book in my own handwriting.
  * To create new fonts painstakingly sketch and merge each glyph into the format until created.

 -- Gary Birkett <liquid@gmail.com>  Mon, 31 Jan 2010 16:54:44 +0000

=== debian/control ===
Source: liqbook
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.66)
Description: The best I can do.
 This package represents the best I can do.  I hope it is enough.
 It puts the Personal back into computing, a digital love affair with the written word.

## liqbook 0.3.0

=== debian/changelog ===
liqbook (0.3.0) unstable; urgency=low

  * Added Liqbase info and I vs We enlightenment.

 -- Gary Birkett <liquid@gmail.com>  Sat, 12 Feb 2010 00:52:44 +0000
 

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: liqbook
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.66)
+Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.67)
 Description: The best I can do.
  This package represents the best I can do.  I hope it is enough.
  It puts the Personal back into computing, a digital love affair with the written word.

## liqbook 0.4.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CFLAGS		= -I../../include
 LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
 RM			 = /bin/rm -f
-OBJSCORE	 = liqbookreader.o liqbooklist.o liqdoc.o liqbookprogress.o
+OBJSCORE	 = liqbookreader.o liqbooklist.o liqdoc.o liqbookprogress.o liqbook_select.o bookitem.o
 OBJS		  = $(OBJSCORE) $(PROG).o
 .PHONY:	  clean distclean
 all:		  $(PROG) $(PROG).so

=== debian/changelog ===
liqbook (0.4.0) unstable; urgency=low

  * added File Selection dialog for reading any book in /home/user/MyDocs/ebooks/*.txt

 -- Gary Birkett <liquid@gmail.com>  Sun, 24 Jul 2011 00:52:44 +0000
 

=== debian/control ===
Source: liqbook
Section: user/multimedia
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 5) , libliqbase-dev
Standards-Version: 3.7.2

Package: liqbook
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.68)
Description: Simple hand written text book reader.
 A simple handwritten textbook reader with simple usable UI for reading books.
 It puts the Personal back into computing, a digital love affair with the written word.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqbook install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#  dh_install
#  dh_installmenu
#  dh_installdebconf
#  dh_installlogrotate
#  dh_installemacsen
#  dh_installpam
#  dh_installmime
#  dh_python
#  dh_installinit
#  dh_installcron
#  dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#  dh_perl
#  dh_makeshlibs
	dh_installdeb
#  dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## liqbook 0.5.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CFLAGS		= -I../../include
 LDFLAGS	  = -lm -lliqbase -Wl,-export-dynamic
 RM			 = /bin/rm -f
-OBJSCORE	 = liqbookreader.o liqbooklist.o liqdoc.o liqbookprogress.o liqbook_select.o bookitem.o
+OBJSCORE	 = liqbookreader.o liqbooklist.o liqbookprogress.o liqbook_select.o bookitem.o
 OBJS		  = $(OBJSCORE) $(PROG).o
 .PHONY:	  clean distclean
 all:		  $(PROG) $(PROG).so

=== debian/changelog ===
liqbook (0.5.0) unstable; urgency=low

  * layout tweaks

 -- Gary Birkett <liquid@gmail.com>  Thu, 28 Jul 2011 00:52:44 +0000

 liqbook (0.4.0) unstable; urgency=low

  * added File Selection dialog for reading any book in /home/user/MyDocs/ebooks/*.txt

 -- Gary Birkett <liquid@gmail.com>  Sun, 24 Jul 2011 00:52:44 +0000
 

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: liqbook
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.68)
+Depends: ${shlibs:Depends}, ${misc:Depends} , libliqbase1 (>= 0.3.70)
 Description: Simple hand written text book reader.
  A simple handwritten textbook reader with simple usable UI for reading books.
  It puts the Personal back into computing, a digital love affair with the written word.

## liqbook 0.6.0

=== debian/changelog ===
liqbook (0.6.0) unstable; urgency=low

  * making sure liqbase.info is in liquid@gmail.com sketchfont

 -- Gary Birkett <liquid@gmail.com>  Thu, 31 Jul 2011 00:52:44 +0000
